Skip to main content
Back to API List For any running campaign, this API lets third-party tools schedule a call with a contact who requests to be reached at a later date and time.
MethodPOST
Endpointhttps://{{host}}/campaign/api/v2/public/{{botId}}/campaign/{{campaignInstanceId}}/callContactAt
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeCampaign Management

Headers Parameters

ParameterDescriptionType
authJWT token for authentication.string, required
iidThe Application identifier.string, required
accountIdThe Account identifier.string, required

Path Parameters

ParameterDescriptionType
campaignInstanceIdUnique identifier of the specific campaign instance.string, required

Body Parameters

ParameterDescriptionType
campaignDialingListIdUnique identifier of the contact in the campaign. Use it to link the current call attempt to the original call.string, required
timeToContactThe time when the user wants to be called back.string, required

Sample Request

curl --location 'https://{{host}}/campaign/api/v2/public/{{botID}}/campaign/{{campaignInstanceId}}/callContactAt' \
--header 'accountid: 685bd2b**********fa5b15d' \
--header 'iid: st-c663aae2-2e**********95-9fa9acca1a2e' \
--header 'Content-Type: application/json' \
--header 'auth: <token> ' \
--data '[
    {
        "campaignDialingListId": "cid-1741dc3************dd1-4ddc085c8e44",
        "timeToContact": "2026-06-18T17:55:00Z"
    }
]'

Sample Response

"status": "success",
    "data": [
        {
            "campaignDialingListId": "cid-1741dc***************1-4ddc085c8e44",
            "status": "failed",
            "reason": "time_in_past"
        }
    ]

Response Body Parameters

ParameterDescriptionType
campaignDialingListIdUnique identifier for the campaign.string
successThe status of the campaign dialling.string
reasonReason for the failure.string